# -*- coding: utf-8 -*-
module IdeaLattice
  class C2
    def wikiname(href, lis)
      if href =~ %r!wiki\?([^/?=;#]+)(#|\Z)!
        lis << $2
      end  
    end
  end
  class YukiWiki
    def wikiname(href, lis)
      if href =~ %r!wiki.cgi\?([^#=&]+)(#|\Z)!
        lis << $1
      end  
    end
  end
  class WiLiki
    def wikiname(href, lis)
      if href =~ %r!wiliki.cgi\?([^#=&]+)(#|\Z)!
        lis << $1
      end  
    end
  end
  class RWiki
    def wikiname(href, lis)
      if href =~ /\?cmd=view;name=([^;]+)(;|\Z)/
        lis << $1
      end  
    end
  end
  class Hiki < C2
    def wikiname(href, lis)
      r = super
      unless r
        if href =~ %r!\./\?([^/?=;#]+)(#|\Z)!
          r = lis << $1
        end  
      end  
      r
    end
  end
  class MediaWiki
      # "http://www.communitywiki.org/en/FrontPage" # CommunityWiki    
  end
end
